#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeplasmaver	5.27.11
%define		qtver		5.15.2
%define		kpname		aura-browser
Summary:	Browser for a fully immersed Big Screen experience
Name:		kp5-%{kpname}
Version:	5.27.11
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	c907dc81b64df98f31a7b66f7af693ef
URL:		http://www.kde.org/
BuildRequires:	Qt5Quick-controls2-devel
BuildRequires:	Qt5WebEngine-devel
BuildRequires:	cmake >= 3.16.0
BuildRequires:	kf5-extra-cmake-modules
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Browser for a fully immersed Big Screen experience allowing you to
navigate the world wide web using just your remote control.

%prep
%setup -q -n %{kpname}-%{version}

%build
%cmake -B build \
	 -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir}
%ninja_build -C build

%if %{with tests}
ctest
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aura-browser
%{_iconsdir}/hicolor/128x128/apps/aura-browser.png
%{_iconsdir}/hicolor/256x256/apps/aura-browser.png
%{_datadir}/metainfo/org.kde.invent.aura_browser.metainfo.xml
%{_desktopdir}/org.kde.aura-browser.desktop
%changelog
* Mon Apr 15 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-aura-browser.git;a=log;h=master

* Mon Apr 15 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5c4a18c
- BR: Qt5Quick-controls2-devel

* Thu Mar 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f957731
- updated to 5.27.11

* Wed Dec 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d27ee0f
- updated to 5.27.10

* Wed Oct 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 27f4c5f
- updated to 5.27.9

* Wed Sep 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 99d588b
- updated to 5.27.8

* Wed Aug 02 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0e8d2d0
- updated to 5.27.7; cmake -B build

* Wed Jun 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9a3fd5b
- updated to 5.27.6

* Fri May 12 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 26c7a34
- BR: Qt5WebEngine-devel

* Wed May 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8bac9e5
- updated to 5.27.5

* Tue Apr 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6350fbd
- updated to 5.27.4

* Wed Mar 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4fd2c5f
- updated to 5.27.3

* Wed Mar 01 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6d44ade
- updated to 5.27.2

* Wed Feb 22 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 58290b3
- updated to 5.27.1

* Tue Feb 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> d7a164f
- updated to 5.27.0

* Wed Jan 04 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 769c78d
- updated to 5.26.5

* Tue Nov 29 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b96743c
- updated to 5.26.4

* Wed Nov 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a2d03bd
- updated to 5.26.3

* Thu Oct 27 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9826963
- updated to 5.26.2

* Wed Oct 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a47624f
- updated to 5.26.1

* Wed Oct 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 594ae4e
- new

